FunctionQParser (Solr 3.6.2 API)
Keywords: org.apache.solr.search.FunctionQParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class FunctionQParser

    java.lang.Object
      org.apache.solr.search.QParser
          org.apache.solr.search.FunctionQParser

    public class FunctionQParser

extends QParser

Field Summary
`QueryParsing.StrParser` | `sp`

Fields inherited from class org.apache.solr.search.QParser
`localParams, localParamsEnd, params, qstr, query, recurseCount, req, stringIncludingLocalParams, valFollowedParams`

Constructor Summary
`FunctionQParser(String qstr, SolrParams localParams, SolrParams params, SolrQueryRequest req)`

Method Summary
`boolean` | `argWasQuoted()`
`protected boolean` | `consumeArgumentDelimiter()` Consume an argument delimiter (a comma) from the token stream.
`boolean` | `getParseMultipleSources()` parse multiple comma separated value sources
`boolean` | `getParseToEnd()` throw exception if there is extra stuff at the end of the parsed valuesource(s).
`boolean` | `hasMoreArguments()` Are there more arguments in the argument list being parsed?
`Query` | `parse()` Create and return the `Query` object represented by `qstr`.
`String` | `parseArg()`
`double` | `parseDouble()` Parse a Double
`Float` | `parseFloat()` Parse a float.
`String` | `parseId()` TODO: Doc
`int` | `parseInt()` Parse an integer
`Query` | `parseNestedQuery()` TODO: Doc
`ValueSource` | `parseValueSource()` Parse an individual ValueSource.
`protected ValueSource` | `parseValueSource(boolean doConsumeDelimiter)` Parse an individual value source.
`List<ValueSource>` | `parseValueSourceList()` Parse a list of ValueSource.
`void` | `setParseMultipleSources(boolean parseMultipleSources)`
`void` | `setParseToEnd(boolean parseToEnd)`

Methods inherited from class org.apache.solr.search.QParser
`addDebugInfo, getDefaultHighlightFields, getHighlightQuery, getLocalParams, getParam, getParams, getParser, getQuery, getReq, getSort, getString, setLocalParams, setParams, setReq, setString, subQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sp

    public QueryParsing.StrParser sp

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Constructor Detail

### FunctionQParser

    public FunctionQParser(String qstr,
                           SolrParams localParams,
                           SolrParams params,
                           SolrQueryRequest req)

Method Detail

### setParseMultipleSources

    public void setParseMultipleSources(boolean parseMultipleSources)

### getParseMultipleSources

    public boolean getParseMultipleSources()

  parse multiple comma separated value sources

### setParseToEnd

    public void setParseToEnd(boolean parseToEnd)

### getParseToEnd

    public boolean getParseToEnd()

  throw exception if there is extra stuff at the end of the parsed valuesource(s).

### parse

    public Query parse()
                throws ParseException

  Description copied from class: `QParser`
  Create and return the `Query` object represented by `qstr`. Null MAY be returned to signify there was no input (e.g. no query string) to parse.

  Specified by:
    `parse` in class `QParser`
  Throws:
    `ParseException`
  See Also:
    `QParser.getQuery()`

### hasMoreArguments

    public boolean hasMoreArguments()
                             throws ParseException

  Are there more arguments in the argument list being parsed?

  Returns:
    whether more args exist
  Throws:
    `ParseException`

### parseId

    public String parseId()
                   throws ParseException

  TODO: Doc

  Throws:
    `ParseException`

### parseFloat

    public Float parseFloat()
                     throws ParseException

  Parse a float.

  Returns:
    Float
  Throws:
    `ParseException`

### parseDouble

    public double parseDouble()
                       throws ParseException

  Parse a Double

  Returns:
    double
  Throws:
    `ParseException`

### parseInt

    public int parseInt()
                 throws ParseException

  Parse an integer

  Returns:
    An int
  Throws:
    `ParseException`

### argWasQuoted

    public boolean argWasQuoted()

### parseArg

    public String parseArg()
                    throws ParseException

  Throws:
    `ParseException`

### parseValueSourceList

    public List<ValueSource> parseValueSourceList()
                                           throws ParseException

  Parse a list of ValueSource. Must be the final set of arguments to a ValueSource.

  Returns:
    List
  Throws:
    `ParseException`

### parseValueSource

    public ValueSource parseValueSource()
                                 throws ParseException

  Parse an individual ValueSource.

  Throws:
    `ParseException`

### parseNestedQuery

    public Query parseNestedQuery()
                           throws ParseException

  TODO: Doc

  Throws:
    `ParseException`

### parseValueSource

    protected ValueSource parseValueSource(boolean doConsumeDelimiter)
                                    throws ParseException

  Parse an individual value source.

  Parameters:
    `doConsumeDelimiter` - whether to consume a delimiter following the ValueSource
  Throws:
    `ParseException`

### consumeArgumentDelimiter

    protected boolean consumeArgumentDelimiter()
                                        throws ParseException

  Consume an argument delimiter (a comma) from the token stream. Only consumes if more arguments should exist (no ending parens or end of string).

  Returns:
    whether a delimiter was consumed
  Throws:
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD